/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "vDiferencias")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "VDiferencias.findAll", query = "SELECT v FROM VDiferencias v"),
        @NamedQuery(name = "VDiferencias.findBySucursalCodigo", query = "SELECT v FROM VDiferencias v WHERE v.sucursalCodigo = :sucursalCodigo"),
        @NamedQuery(name = "VDiferencias.findByProductoCodigo", query = "SELECT v FROM VDiferencias v WHERE v.productoCodigo = :productoCodigo"),
        @NamedQuery(name = "VDiferencias.findByProductoNombre", query = "SELECT v FROM VDiferencias v WHERE v.productoNombre = :productoNombre"),
        @NamedQuery(name = "VDiferencias.findByProductoSucursalExistenciaActual", query = "SELECT v FROM VDiferencias v WHERE v.productoSucursalExistenciaActual = :productoSucursalExistenciaActual"),
        @NamedQuery(name = "VDiferencias.findByProductoSucursalFisica", query = "SELECT v FROM VDiferencias v WHERE v.productoSucursalFisica = :productoSucursalFisica"),
        @NamedQuery(name = "VDiferencias.findBySobrante", query = "SELECT v FROM VDiferencias v WHERE v.sobrante = :sobrante"),
        @NamedQuery(name = "VDiferencias.findByFaltante", query = "SELECT v FROM VDiferencias v WHERE v.faltante = :faltante"),
        @NamedQuery(name = "VDiferencias.findByResultado", query = "SELECT v FROM VDiferencias v WHERE v.resultado = :resultado"),
        @NamedQuery(name = "VDiferencias.findByResultadoEntero", query = "SELECT v FROM VDiferencias v WHERE v.resultadoEntero = :resultadoEntero"),
        @NamedQuery(name = "VDiferencias.findByNuevaExistenciaActual", query = "SELECT v FROM VDiferencias v WHERE v.nuevaExistenciaActual = :nuevaExistenciaActual"),
        @NamedQuery(name = "VDiferencias.Dsalas", query = "SELECT v FROM VDiferencias v WHERE v.resultado != 0 and v.productoCodigo < 89999 and v.sucursalCodigo = :sucursalCodigo")})
public class VDiferencias implements Serializable {
    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "sucursal_codigo")
    @Id
    private String sucursalCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 5)
    @Column(name = "producto_codigo")
    private String productoCodigo;
    @Id
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 75)
    @Column(name = "producto_nombre")
    private String productoNombre;
    @Basic(optional = false)
    @NotNull
    @Column(name = "producto_sucursal_existencia_actual")
    private int productoSucursalExistenciaActual;
    @Basic(optional = false)
    @NotNull
    @Column(name = "producto_sucursal_fisica")
    private int productoSucursalFisica;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 10)
    @Column(name = "sobrante")
    private String sobrante;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 10)
    @Column(name = "faltante")
    private String faltante;
    @Basic(optional = false)
    @NotNull
    @Column(name = "resultado")
    private int resultado;
    @Basic(optional = false)
    @NotNull
    @Column(name = "resultado_entero")
    private int resultadoEntero;
    @Basic(optional = false)
    @NotNull
    @Column(name = "nueva_existencia_actual")
    private long nuevaExistenciaActual;

    public VDiferencias() {
    }

    public String getSucursalCodigo() {
        return sucursalCodigo;
    }

    public void setSucursalCodigo(String sucursalCodigo) {
        this.sucursalCodigo = sucursalCodigo;
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    public String getProductoNombre() {
        return productoNombre;
    }

    public void setProductoNombre(String productoNombre) {
        this.productoNombre = productoNombre;
    }

    public int getProductoSucursalExistenciaActual() {
        return productoSucursalExistenciaActual;
    }

    public void setProductoSucursalExistenciaActual(int productoSucursalExistenciaActual) {
        this.productoSucursalExistenciaActual = productoSucursalExistenciaActual;
    }

    public int getProductoSucursalFisica() {
        return productoSucursalFisica;
    }

    public void setProductoSucursalFisica(int productoSucursalFisica) {
        this.productoSucursalFisica = productoSucursalFisica;
    }

    public String getSobrante() {
        return sobrante;
    }

    public void setSobrante(String sobrante) {
        this.sobrante = sobrante;
    }

    public String getFaltante() {
        return faltante;
    }

    public void setFaltante(String faltante) {
        this.faltante = faltante;
    }

    public int getResultado() {
        return resultado;
    }

    public void setResultado(int resultado) {
        this.resultado = resultado;
    }

    public int getResultadoEntero() {
        return resultadoEntero;
    }

    public void setResultadoEntero(int resultadoEntero) {
        this.resultadoEntero = resultadoEntero;
    }

    public long getNuevaExistenciaActual() {
        return nuevaExistenciaActual;
    }

    public void setNuevaExistenciaActual(long nuevaExistenciaActual) {
        this.nuevaExistenciaActual = nuevaExistenciaActual;
    }

}
